## gccxml 0.9.0+cvs20111013

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Steve M. Robbins <smr@debian.org>
+DM-Upload-Allowed: yes
+Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
 Build-Depends: debhelper (>= 8), cmake
 Homepage: http://www.gccxml.org/
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/gccxml/trunk/
+Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/gccxml/trunk
 Standards-Version: 3.9.2
 
 Package: gccxml
@@ -16,3 +20,17 @@
  a C++ program from GCC's internal representation. Since XML is easy to
  parse, other development tools will be able to work with C++ programs
  without the burden of a complicated C++ parser.
+
+Package: libgccxml-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Libraries for building extension to gccxml output
+ There is one open-source C++ parser, the C++ front-end to GCC, which
+ is currently able to deal with the language in its entirety. The
+ purpose of the GCC-XML extension is to generate an XML description of
+ a C++ program from GCC's internal representation. Since XML is easy to
+ parse, other development tools will be able to work with C++ programs
+ without the burden of a complicated C++ parser.
+ .
+ These libraries are part of the GCC-XML tool.
