=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Steve M. Robbins <smr@debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
+Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 8), cmake
+Build-Conflicts: ccache
 Homepage: http://www.gccxml.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/gccxml/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/gccxml/trunk
-Standards-Version: 3.9.2
+Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/gccxml/trunk
+Standards-Version: 3.9.3
 
 Package: gccxml
 Architecture: any
