=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,30 @@
 #!/usr/bin/make -f
+
+# Required by dpkg 1.16.1.
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
+
+CMAKE_INSTALL_FLAG = -DGCCXML_INSTALL_FOR_MUMMY:BOOL=ON
+
+CMAKE_FLAGS = $(CMAKE_INSTALL_FLAG) \
+	-DGCCXML_DOC_DIR:STRING=/share/doc/gccxml
+
+pkg_run = gccxml
+pkg_dev = libgccxml-dev
 
 %:
 	dh $@ --buildsystem=cmake --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DGCCXML_DOC_DIR:STRING=/share/doc/gccxml
+	dh_auto_configure -- $(CMAKE_FLAGS)
+
+override_dh_install:
+	# Runtime Package
+	dh_install -p$(pkg_run) usr/bin
+	dh_install -p$(pkg_run) usr/share
+	# Development Package
+	dh_install -p$(pkg_dev) usr/include
+	dh_install -p$(pkg_dev) --autodest usr/lib/lib*.a
 
 override_dh_auto_build:
 	cp -a debian/Support/* GCC_XML/Support
